-- 业务领域 人才供应
 DELETE FROM T_HBSS_HRBUSINESSFIELD WHERE fnumber='1020_S';
 DELETE FROM T_HBSS_HRBUSINESSFIELD_L WHERE fid=1020;
 DELETE FROM T_HBSS_HRBUSINESSFIELD_L WHERE fpkid='2BEK1VZ4D=JO';
 DELETE FROM T_HBSS_HRBUSINESSFIELD WHERE fid=1020;
 INSERT INTO T_HBSS_HRBUSINESSFIELD(fid,fnumber,fstatus,fcreatorid,fcreatetime,fmodifierid,fmodifytime,fenable,fmasterid,fdisablerid,fdisabledate,findex,fissyspreset,fname,fsimplename,fdescription,ffullname)
 VALUES(1020,'1020_S','C',1,{ts'2023-02-20 16:54:30'},1,{ts'2023-02-20 16:54:55'},'1',1020,0,null,0,'1','人才供应',' ',' ',' ');
--  DELETE FROM T_HBSS_HRBUSINESSFIELD_L WHERE FPKID='32JYEA1ZTTDP';
--  INSERT INTO T_HBSS_HRBUSINESSFIELD_L(fpkid,fid,flocaleid,fname,fsimplename,fdescription,ffullname)
--  VALUES('32JYEA1ZTTDP',1020,'zh_TW','人才供應',' ',' ',' ');

 DELETE FROM T_HBSS_HRBUSINESSFIELD_L WHERE FPKID='32JYEA1ZTTDO';
 INSERT INTO T_HBSS_HRBUSINESSFIELD_L(fpkid,fid,flocaleid,fname,fsimplename,fdescription,ffullname)
 VALUES('32JYEA1ZTTDO',1020,'zh_CN','人才供应',' ',' ',' ');
 -- 业务类型 组织招聘


 DELETE FROM T_HBSS_BUSSINESSFIELD WHERE fnumber='102010_S';
 DELETE FROM T_HBSS_BUSSINESSFIELD_L WHERE fpkid='2BEP90D766GZ';
 DELETE FROM T_HBSS_BUSSINESSFIELD WHERE fid=102010;
 INSERT INTO T_HBSS_BUSSINESSFIELD(fid,fnumber,fcreatorid,fcreatetime,fmodifierid,fmodifytime,fenable,fstatus,fdisablerid,fdisabledate,findex,fissyspreset,fmasterid,fcontrolfuntypeid,fbusinessfieldid,fname,fsimplename,fdescription,fbussinessobjectid)
 VALUES(102010,'102010_S',1,{ts'2022-07-21 00:00:00'},1,{ts'2022-07-21 00:00:00'},'1','C',0,null,0,'1',102010,24,1020,'组织招聘',' ','  ',0);
 DELETE FROM T_HBSS_BUSSINESSFIELD_L WHERE FPKID='32K+KS1ZDTS2';
 INSERT INTO T_HBSS_BUSSINESSFIELD_L(fpkid,fid,flocaleid,fname,fsimplename,fdescription)
 VALUES('32K+KS1ZDTS2',102010,'zh_CN','组织招聘',' ',' ');

 -- 业务类型与应用   以应用为条件删除(之前手动创建有，一个应用只有一条记录)
 DELETE FROM T_HBSS_APPBUSINESSTYPE where fappid in('2+TXFE9NU13A','1OML3OJMZO72','1NQE0WQWLLZ=');
 DELETE FROM T_HBSS_APPBUSINESSTYPE WHERE fid=1100;
 INSERT INTO T_HBSS_APPBUSINESSTYPE(fid,fnumber,fstatus,fcreatorid,fcreatetime,fmodifierid,fmodifytime,fenable,fmasterid,fdisablerid,fdisabledate,findex,fissyspreset,fappid,fbusinesstypeid,fname,fsimplename,fdescription)
 VALUES(1100,'1100_S','C',1,{ts'2023-02-20 18:47:56'},1,{ts'2023-02-20 18:48:13'},'1',1624790266059799552,0,null,0,'1','2+TXFE9NU13A',102010,' ',' ',' ');
 DELETE FROM T_HBSS_APPBUSINESSTYPE WHERE fid=1150;
 INSERT INTO T_HBSS_APPBUSINESSTYPE(fid,fnumber,fstatus,fcreatorid,fcreatetime,fmodifierid,fmodifytime,fenable,fmasterid,fdisablerid,fdisabledate,findex,fissyspreset,fappid,fbusinesstypeid,fname,fsimplename,fdescription)
 VALUES(1150,'1150_S','C',1,{ts'2023-02-20 18:48:25'},1,{ts'2023-02-20 18:48:41'},'1',1624790505487448064,0,null,0,'1','1OML3OJMZO72',102010,' ',' ',' ');
 DELETE FROM T_HBSS_APPBUSINESSTYPE WHERE fid=1040;
 INSERT INTO T_HBSS_APPBUSINESSTYPE(fid,fnumber,fstatus,fcreatorid,fcreatetime,fmodifierid,fmodifytime,fenable,fmasterid,fdisablerid,fdisabledate,findex,fissyspreset,fappid,fbusinesstypeid,fname,fsimplename,fdescription)
 VALUES(1040,'1040_S','C',1,{ts'2023-02-20 18:47:18'},1,{ts'2023-02-20 18:47:40'},'1',1624789987616734208,0,null,0,'1','1NQE0WQWLLZ=',102010,' ',' ',' ');

 -- 职能类型
 DELETE FROM T_HBSS_HRBUCAFUNC WHERE fid=24;
 DELETE FROM T_HBSS_HRBUCAFUNC_L WHERE fid=24;
 INSERT INTO T_HBSS_HRBUCAFUNC(fid,fnumber,fstatus,fcreatorid,fcreatetime,fmodifierid,fmodifytime,fenable,fmasterid,fdisablerid,fdisabledate,findex,fissyspreset,fname,fsimplename,fdescription)
 VALUES(24,'24','C',1,{ts'2021-10-25 00:00:00'},1,{ts'2022-02-21 00:00:00'},'1',24,0,null,0,'1','人才招聘组织',' ','企业人才招聘业务的组织职能');
--  DELETE FROM T_HBSS_HRBUCAFUNC_L WHERE FPKID='2+JHFZXW36V9';
--  INSERT INTO T_HBSS_HRBUCAFUNC_L(fpkid,fid,flocaleid,fname,fsimplename,fdescription)
--  VALUES('2+JHFZXW36V9',24,'zh_TW','人才招聘組織',' ','人才招聘組織');
 DELETE FROM T_HBSS_HRBUCAFUNC_L WHERE FPKID='2+JHFZXW36V8';
 INSERT INTO T_HBSS_HRBUCAFUNC_L(fpkid,fid,flocaleid,fname,fsimplename,fdescription)
 VALUES('2+JHFZXW36V8',24,'zh_CN','人才招聘组织',' ','企业人才招聘业务的组织职能');

 --职能视图
 DELETE FROM T_HBSS_HRBUCA WHERE fid=24;
 DELETE FROM T_HBSS_HRBUCA_L WHERE fid=24;
 INSERT INTO T_HBSS_HRBUCA(fid,fnumber,fcreatorid,fcreatetime,fmodifierid,fmodifytime,fenable,fstatus,fdisablerid,fdisabledate,findex,fmasterid,fissyspreset,fhrbubaid,fdybutton,fhrbucafuncid,ffinalparentid,fparentid,fsyncstrategy,fname,fsimplename,fdescription)
 VALUES(24,'24',1,{ts'2020-05-15 17:01:58'},1,{ts'2023-02-20 18:58:46'},'1','C',0,null,0,24,'1',0,' ',0,0,11,'0','人才招聘业务视图默认方案',' ','企业人才招聘的业务数据权限管控');
--  DELETE FROM T_HBSS_HRBUCA_L WHERE FPKID='16488575+D38';
--  INSERT INTO T_HBSS_HRBUCA_L(fpkid,fid,flocaleid,fname,fsimplename,fdescription,fdescription1)
--  VALUES('16488575+D38',24,'zh_TW','人才招聘業務視圖默認方案',' ','企業人才招聘的業務數據權限管控',' ');
 DELETE FROM T_HBSS_HRBUCA_L WHERE FPKID='16488575+D37';
 INSERT INTO T_HBSS_HRBUCA_L(fpkid,fid,flocaleid,fname,fsimplename,fdescription)
 VALUES('16488575+D37',24,'zh_CN','人才招聘业务视图默认方案',' ','企业人才招聘的业务数据权限管控');

 -- 开关
 update T_HBSS_HRBUCAFUNC set fnumber = '11,21,24,25,29,30,26,31,34' where fid =618;
 